[Документация Yandex Cloud](../../../index.md) > [Yandex MPP Analytics for PostgreSQL](../../index.md) > Справочник API > [REST (англ.)](../index.md) > [HBARule](index.md) > ListAtRevision

# Managed Service for Greenplum® API, REST: HBARule.ListAtRevision

Retrieves a list of HBA rules for Greenplum clusters for particular revision.

## HTTP request

```
GET https://mdb.api.cloud.yandex.net/managed-greenplum/v1/clusters/{clusterId}/hbaRules/atRevision
```

## Path parameters

#|
||Field | Description ||
|| clusterId | **string**

Required field. ID of the Greenplum cluster.
To get the Greenplum cluster ID use a [ClusterService.List](../Cluster/list.md#List) request.

The maximum string length in characters is 50. ||
|#

## Query parameters {#yandex.cloud.mdb.greenplum.v1.ListHBARulesAtRevisionRequest}

#|
||Field | Description ||
|| revision | **string** (int64)

Cluster revision

Value must be greater than 0. ||
|#

## Response {#yandex.cloud.mdb.greenplum.v1.ListHBARulesResponse}

**HTTP Code: 200 - OK**

```json
{
  "hbaRules": [
    {
      "priority": "string",
      "connectionType": "string",
      "database": "string",
      "user": "string",
      "address": "string",
      "authMethod": "string"
    }
  ]
}
```

#|
||Field | Description ||
|| hbaRules[] | **[HBARule](#yandex.cloud.mdb.greenplum.v1.HBARule)**

Requested list of hba rules for the cluster. ||
|#

## HBARule {#yandex.cloud.mdb.greenplum.v1.HBARule}

#|
||Field | Description ||
|| priority | **string** (int64)

Priority of the Greenplum cluster rule.

Acceptable values are 0 to 1000, inclusive. ||
|| connectionType | **enum** (ConnectionType)

- `HOST`: Matches connection attempts made using TCP/IP.
- `HOSTSSL`: Matches connection attempts made using TCP/IP, but only when the connection is made with SSL encryption.
- `HOSTNOSSL`: Matches connection attempts made over TCP/IP that do not use SSL. ||
|| database | **string**

Required field. Specifies which database names this record matches. ||
|| user | **string**

Required field. Specifies which database role names this user matches. ||
|| address | **string**

Required field. Specifies the client machine addresses that this record matches. ||
|| authMethod | **enum** (AuthMethod)

Specifies the authentication method to use when a connection matches this record.
https://gpdb.docs.pivotal.io/6-6/security-guide/topics/Authenticate.html

- `MD5`: Perform SCRAM-SHA-256 or MD5 authentication to verify the user's password.
- `LDAP`: Perform LDAP authentication, if MDB_GREENPLUM_LDAP flag is set
- `REJECT`: Disable authentication
- `IAM`: Perform authentication with IAM token ||
|#